Subject: Re: [bug#68414] [PATCH] doc: Improve documentation for submitting patches

From: Alexandre Hannud Abdo <[email-masked]>
Date: Mon, 15 Jan 2024 15:27:23 +0100

Ni! Thank you, we're actually in good agreement.

The possibility of sending inline patches is already there in the current documentation. The excerpt you cite is mostly collage of existing text that was spread in different sections.

I sought to articulate the possibilities and their preferred order more clearly so people can better weight the consequences. And I actually tried to word it in a way that would discourage inline patches more strongly than the current text. I have sent inline patches in the past, after reading the current text, and I'm sure I would not have sent them with the text I propose.

The only thing is that I did not feel authorized to exclude a possibility when rewriting the doc. But if you tell me I can, I'll happily change the wording to strictly discourage sending inline patches with an email client.

Best,

ale

.~´

Le 13/01/2024 à 12:27, Clément Lassieur a écrit :
> On Sat, Jan 13 2024, Ale Abdo wrote:
>
>> ...     You may also send patches inline, as each patch file
>> +generated by @command{git format-patch} is a single valid email message, but
>> +you'd be advised to pay attention if your email client changes anything like
>> +line breaks or indentation, which could potentially break the patches.
> Hi, I haven't read all your patch, but this is wrong, I'm sorry.
> Sending patches inline without using git send-email mostly doesn't work
> for technical issues and is a waste of time for reviewers who try to
> figure out why the patch doesn't apply.  We should not encourage this.
>
> Thanks,
> Clément

-- 
If wars can be started by lies, peace can be started by truth.
https://www.democracynow.org/live/watch_live_the_belmarsh_tribunal_on